// PState.h
//
// Provides a simple scoped object name space obeying the
// <ParserStateCollecting> protocol.  Supports scoped
// autorelease (temporary objects are released when the
// enclosing scope is closed).
//
//----------------------------------------------------------------
// OOF Parser Package
// Copyright 1995 by Paul Burchard
// Distributed according to the GNU Library General Public License
//----------------------------------------------------------------

#import <objects/KeyedCollection.h>
#import "ParserStateCollecting.h"

@class Stack;

@interface PState:KeyedCollection <ParserStateCollecting>
{
	Stack *stack;
	id<StatefulCollecting> input; // cached
}
@end

